{ lib, ... }:
with lib;
{
  options.machine.coturn = {
    enable = mkEnableOption "Coturn";
    startPort = mkOption {
      type = types.port;
      default = 49000;
      description = "Start port for Coturn.";
    };
    endPort = mkOption {
      type = types.port;
      default = 50000;
      description = "End port for Coturn.";
    };
    realm = mkOption {
      type = types.str;
      default = "turn.example.com";
      description = "Realm for Coturn.";
    };
  };
}
